// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package container

// 基本组件句柄
// @Implement LAPP_LF_MOM_BACKEND/container/ComponentHandler
type ElementHandler struct {
	// 组件实例
	instance Instance
}

// 创建基本组件句柄
// 参数
// 1.组件实例
// 返回值:
// 1.基本组件句柄
func NewElementHandler(instance Instance) *ElementHandler {
	return &ElementHandler{instance}
}

// @Reference LAPP_LF_MOM_BACKEND/container/ComponentHandler.Instance
func (handler *ElementHandler) Instance() Instance {
	return handler.instance
}
